var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import IconButton from '@mui/material/IconButton';
import { Comment } from '../Comment';
import { useStyles } from './styles';
export var CollapsedComments = function (_a) {
    var comments = _a.comments, onClick = _a.onClick;
    var styles = useStyles();
    return (React.createElement(React.Fragment, null,
        React.createElement(Comment, __assign({}, comments[0])),
        React.createElement("div", { className: styles.delimiter },
            React.createElement(IconButton, { className: styles.circleButton, onClick: onClick, size: "large" }, comments.length - 2)),
        React.createElement(Comment, __assign({}, comments[comments.length - 1]))));
};
